Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity
Class IdentityProviderConstants.LocalNames

    java.lang.Object
      org.wso2.solutions.identity.IdentityProviderConstants.LocalNames

Enclosing class:
  IdentityProviderConstants

    public static class IdentityProviderConstants.LocalNames

extends java.lang.Object

Local names of the identity provider constants

Field Summary
`static java.lang.String` | `CARD_ID`
`static java.lang.String` | `DISPLAY_CLAIM`
`static java.lang.String` | `DISPLAY_TAG`
`static java.lang.String` | `DISPLAY_TOKEN`
`static java.lang.String` | `DISPLAY_VALUE`
`static java.lang.String` | `IDENTITY_CLAIM`
`static java.lang.String` | `IDENTITY_CLAIM_TYPE`
`static java.lang.String` | `INFO_CARD_REFERENCE`
`static java.lang.String` | `KEBEROSV5_AUTHENTICATE`
`static java.lang.String` | `REQUEST_DISPLAY_TOKEN`
`static java.lang.String` | `REQUESTED_DISPLAY_TOKEN`
`static java.lang.String` | `SELFISSUED_AUTHENTICATE`
`static java.lang.String` | `USERNAME_PASSWORD_AUTHENTICATE`
`static java.lang.String` | `X509V3_AUTNENTICATE`

Constructor Summary
`IdentityProviderConstants.LocalNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUESTED_DISPLAY_TOKEN

    public static final java.lang.String REQUESTED_DISPLAY_TOKEN

See Also:
  Constant Field Values

### REQUEST_DISPLAY_TOKEN

    public static final java.lang.String REQUEST_DISPLAY_TOKEN

See Also:
  Constant Field Values

### DISPLAY_TOKEN

    public static final java.lang.String DISPLAY_TOKEN

See Also:
  Constant Field Values

### DISPLAY_CLAIM

    public static final java.lang.String DISPLAY_CLAIM

See Also:
  Constant Field Values

### DISPLAY_TAG

    public static final java.lang.String DISPLAY_TAG

See Also:
  Constant Field Values

### DISPLAY_VALUE

    public static final java.lang.String DISPLAY_VALUE

See Also:
  Constant Field Values

### IDENTITY_CLAIM

    public static final java.lang.String IDENTITY_CLAIM

See Also:
  Constant Field Values

### IDENTITY_CLAIM_TYPE

    public static final java.lang.String IDENTITY_CLAIM_TYPE

See Also:
  Constant Field Values

### INFO_CARD_REFERENCE

    public static final java.lang.String INFO_CARD_REFERENCE

See Also:
  Constant Field Values

### CARD_ID

    public static final java.lang.String CARD_ID

See Also:
  Constant Field Values

### SELFISSUED_AUTHENTICATE

    public static final java.lang.String SELFISSUED_AUTHENTICATE

See Also:
  Constant Field Values

### USERNAME_PASSWORD_AUTHENTICATE

    public static final java.lang.String USERNAME_PASSWORD_AUTHENTICATE

See Also:
  Constant Field Values

### KEBEROSV5_AUTHENTICATE

    public static final java.lang.String KEBEROSV5_AUTHENTICATE

See Also:
  Constant Field Values

### X509V3_AUTNENTICATE

    public static final java.lang.String X509V3_AUTNENTICATE

See Also:
  Constant Field Values

Constructor Detail

### IdentityProviderConstants.LocalNames

    public IdentityProviderConstants.LocalNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD